org.apache.solr.handler.clustering

## Class ClusteringComponent

- java.lang.Object
- - org.apache.solr.handler.component.SearchComponent
  - - org.apache.solr.handler.clustering.ClusteringComponent

- All Implemented Interfaces:
    SolrInfoMBean, NamedListInitializedPlugin, SolrCoreAware

      public class ClusteringComponent
      extends SearchComponent
      implements SolrCoreAware

  Provides a plugin for performing cluster analysis. This can either be applied to search results (e.g., via Carrot2) or for clustering documents (e.g., via Mahout).

  See Solr example for configuration examples.

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean

      `SolrInfoMBean.Category`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_NAME` Base name for all component parameters.

    - ### Fields inherited from class org.apache.solr.handler.component.SearchComponent

      `standard_components`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusteringComponent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `finishStage(ResponseBuilder rb)`
    `String` | `getDescription()`
    `void` | `inform(SolrCore core)`
    `void` | `init(NamedList args)`
    `void` | `modifyRequest(ResponseBuilder rb, SearchComponent who, ShardRequest sreq)`
    `void` | `prepare(ResponseBuilder rb)`
    `void` | `process(ResponseBuilder rb)`

    - ### Methods inherited from class org.apache.solr.handler.component.SearchComponent

      `distributedProcess, getCategory, getDocs, getName, getSource, getStatistics, getVersion, handleResponses, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_NAME

          public static final String COMPONENT_NAME

      Base name for all component parameters. This name is also used to register this component with SearchHandler.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClusteringComponent

          public ClusteringComponent()

  - ### Method Detail

    - #### init

          public void init(NamedList args)

      Specified by:
        `init` in interface `NamedListInitializedPlugin`
      Overrides:
        `init` in class `SearchComponent`

    - #### inform

          public void inform(SolrCore core)

      Specified by:
        `inform` in interface `SolrCoreAware`

    - #### prepare

          public void prepare(ResponseBuilder rb)
                       throws IOException

      Specified by:
        `prepare` in class `SearchComponent`
      Throws:
        `IOException`

    - #### process

          public void process(ResponseBuilder rb)
                       throws IOException

      Specified by:
        `process` in class `SearchComponent`
      Throws:
        `IOException`

    - #### modifyRequest

          public void modifyRequest(ResponseBuilder rb,
                                    SearchComponent who,
                                    ShardRequest sreq)

      Overrides:
        `modifyRequest` in class `SearchComponent`

    - #### finishStage

          public void finishStage(ResponseBuilder rb)

      Overrides:
        `finishStage` in class `SearchComponent`

    - #### getDescription

          public String getDescription()

      Specified by:
        `getDescription` in interface `SolrInfoMBean`
      Specified by:
        `getDescription` in class `SearchComponent`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.